> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# List contact request attachments

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/contact-requests/{contactId}/attachments/

Return a list of attachments for a contact request

Reference: https://docs.partnerpage.io/api-reference/contact-request/attachment/list-contact-request-attachments

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `contactId` (string, required) — ID of the contact request

## Response

### 200

Successful operation

- `list of ContactRequestAttachmentRead`

## Errors

### 403 Forbidden Error

Forbidden

- `any`

### 404 Not Found Error

Contact request not found

- `any`

## Types

### ContactRequestAttachmentRead

Serializer for reading/displaying contact request attachment data.

- `id` (string, required)
- `contactRequestId` (string, required)
- `file` (string, required)
- `originalFilename` (string, required)
- `uploadedByUserId` (string, required, nullable)
- `uploadedByRole` (string, required)
- `canDelete` (boolean, required)
- `created` (datetime, required)

## Examples

**Response**

```json
[
  {
    "id": "string",
    "contactRequestId": "string",
    "file": "string",
    "originalFilename": "string",
    "uploadedByUserId": "string",
    "uploadedByRole": "string",
    "canDelete": true,
    "created": "2024-01-15T09:30:00Z"
  }
]
```

**SDK Code**

```python
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/contact-requests/contactId/attachments/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/contact-requests/contactId/attachments/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```